/*----------------------------------------------------------------------------*/
// File: depth.c USGS Navigation, handle depth correction based on user entered
//       sound velocity
// Blame: John Gann
// Start Date: 23 May 1992
/*----------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>
#include <math.h>
#include <time.h>
#include <fcntl.h>
#include <io.h>

#include <GRconst.h>
#include <GRports.h>
#include <GRextrn.h>
#include <menuet.h>

#include "navdefs.h"
#include "navtypes.h"
#include "mnutils.h"
#include "nav_utils.h"

// private

// externals
extern char RefreshRequired;
extern t_nav * curNav;      // pointer to the current navigation 
extern char DisplayingSomething;


/*---------------------------------------------------------------------------*/
// Open the form and allow user to enter a comment
/*---------------------------------------------------------------------------*/
int doDepthFm(ob_desc * ob)
{
int retv;
char * frf = "depthcor.frf";
ftag * tag;
t_setup * config = QuerySetup();
fm_desc * fm;

/* Load the FRF file */
if ( ( fm = loadFRF ( frf ) ) == NULL ) 
	{
  return FALSE;
	}

if (config->depth.depthCorrectionEnabled)
	{
	fm->ob_lst[2].flags |= IS_CHECKED;
	}
else
	{
	fm->ob_lst[2].flags &= ~IS_CHECKED;
	}

tag = (ftag *) fm->ob_lst[3].tag;
sprintf(tag->fld, "%.2lf", config->depth.soundVelocity);

OpenForm ( fm, 10, ob->area.Ymax);

do 
	{
	retv = ProcessObList ( fm->ob_lst, fm->ob_cnt, 0 );
	switch ( retv ) 
		{
		case OKAY:
			config->depth.soundVelocity = atof(tag->fld);
			if (fm->ob_lst[2].flags & IS_CHECKED)
				{
				config->depth.depthCorrectionEnabled = TRUE;
				}
			else
				{
				config->depth.depthCorrectionEnabled = FALSE ;
				}
			break;

		case CANCEL-1:
			break;
		}
	} while (retv != OKAY && retv != CANCEL-1);

CloseForm   ( fm );
DestroyFRFForm ( fm );

return retv;
}



