/* !sccs!     File: dispasci.h    Version: 1.1  9/9/91 15:43:29  */
#define FILE_IS_EMPTY -1
#define FILE_DOES_NOT_EXIST -2
#define UNABLE_TO_CREATE_FORM -3
#define BAD_FILE -4
#define BAD_FORM -5
#define MIN_COLS 20
#define MIN_ROWS 8
#define MAX_COLS 132
#define MAX_ROWS 18
#define MAX_TEXT 133
#define PRSTATUS(port)	  (_bios_printer (_PRINTER_STATUS, (port), 0))
#define PR_S_NOTBUSY      0x80
#define PR_S_ONLINE       0x10
#define PR_OK             (PR_S_ONLINE | PR_S_NOTBUSY)
#define FORM_FEED  12

typedef struct
	{
	char text[MAX_TEXT];
	} t_Lines;


// Prototypes
extern	int DisplayAsciiFile(char *path,int x,int y,int rows,int cols);
static	int VerifyFileName(char *filename);
static	struct _fm_desc *CreateDisplayForm(char *title,int rows,int cols);
static	int VerticalScrollTask(struct _ob_desc *ob);
static	int HorizontalScrollTask(struct _ob_desc *ob);
static	int InitializeDisplayForm(int x,int y);
static	int ProcessDisplayForm(void );
static	void CleanUpDisplay(void );
static	int DrawDisplayPage(void );
static	void ClearDisplayArea(void );
static	int DrawLineOfText(int ob_idx,char *text,int col1,int col2,long FO);
static	int DisplayKeyTask(struct _ob_desc *ob);
static	long GetOffset(struct _iobuf *fp,int nlines);
static	long GetPreviousLine(struct _iobuf *fp);
static	long ScrollOneLine(int direction);
static	void InsDRow(int row,int col1,int col2);
static	void DelDRow(int row,int col1,int col2);
static	void UpdateVertScrollBar(struct _ob_desc *knob);
static	int LongPercent(long numerator,long denominator);
static	int LastRow(void );
static	void AdjustHooks(char direction,long new_val);
static	long LongScaled(long i,long m,long d);
static	void InsDCol(int col,int row1,int row2);
static	void DelDCol(int col,int row1,int row2);
static	int ScrollOneColumn(int direction);
static	int PrintTask(struct _ob_desc *ob);
static	int print_file(char *dst_file);
static	void eject_printer_page(void );
