/*----------------------------------------------------------------------------*/
// File: logbook.c USGS Navigation, handle logbook entry
// Blame: John Gann
// Start Date: 21 May 1992
/*----------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>
#include <math.h>
#include <time.h>
#include <fcntl.h>
#include <io.h>

#include <GRconst.h>
#include <GRports.h>
#include <GRextrn.h>
#include <menuet.h>

#include "navdefs.h"
#include "navtypes.h"
#include "mnutils.h"
#include "nav_utils.h"
#include "logbook.h"
#include "printer.h"

// private

// externals
extern char RefreshRequired;
extern t_nav * curNav;      // pointer to the current navigation 
extern char DisplayingSomething;


/*---------------------------------------------------------------------------*/
// Open the form and allow user to enter a comment
/*---------------------------------------------------------------------------*/
int doLogBook(ob_desc * ob)
{
int retv;
char latBuf[40];
char lonBuf[40];
char altBuf[40];
fm_desc * fm;
char * frf = "logbook.frf";
ftag * tag;
char buf[256];

// get the current time and nav
PositionString(lonBuf, latBuf, altBuf, curNav->lon, curNav->lat, 0.0, 0);

/* Load the FRF file */
if ( ( fm = loadFRF ( frf ) ) == NULL ) 
	{
  return FALSE;
	}

fm->ob_lst[2].flags  |= IS_EDITABLE;
tag = (ftag *) fm->ob_lst[2].tag;

DisplayingSomething = TRUE;
OpenForm ( fm, 10, -1);

do 
	{
	retv = ProcessObList ( fm->ob_lst, fm->ob_cnt, 0 );
	switch ( retv ) 
		{
		case OKAY:
			sprintf(buf, "%s %s %s\n", latBuf, lonBuf, tag->fld);
			logMsg(buf);
			printMsg(buf);
			break;

		case CANCEL-1:
			break;
		}
	} while (retv != OKAY && retv != CANCEL-1);

CloseForm   ( fm );
DestroyFRFForm ( fm );
DisplayingSomething = FALSE;

return retv;
}


