#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include <string.h>
#include <conio.h>
#include <time.h>

#include "navdefs.h"
#include "navtypes.h"

t_com old_com_struct[8];
t_com com_struct[MAX_COMPORTS];


char * SensorNames[] = 
	{
  "ABC GYRO",
  "ASHTECH",
  "DDMU 540",
  "NS7000",
  "TRIMBLE 4000",
  "TRACKPOINT II",
  "BRIDGE TERM",
  "SIMRAD",
  "KVH GYRO",
  "DelNorte to URI",
  "Trackpoint to URI",
  "SEAHAWK GYRO",
  "TRIMBLE_NAVTRAK",
  "TRIMBLE_10X",
	"Mudshark",
	"HP Plotter"
	};

void main(void);
int read_com_file(char * filename);
int write_com_file(char * filename);

void main(void)
{
static char * coms_file = "nav.cmm";
write_com_file(coms_file);
}




/*----------------------------------------------------------------------------*/
/* Save the com file from a global array of com structures                    */
/*----------------------------------------------------------------------------*/
int write_com_file(char * filename)
{
FILE *fp;
int i, k;

if ((fp = fopen(filename, "wb")) == NULL)
  {
  printf("\nCan't open file %s", filename);
  fclose(fp);
  return FALSE;
  }

for (i= 0; i < MAX_COMPORTS; i++)
  {
	com_struct[i].handshake = 0;
	com_struct[i].sensor_index = i;
	com_struct[i].parity = 'N';
	com_struct[i].baud = 4800;
	com_struct[i].data = 8;
	com_struct[i].stop = 1;
	com_struct[i].interval = 2;
	com_struct[i].portnum = (unsigned char) i;
	com_struct[i].enabled = 0;
	sprintf(com_struct[i].portname, "COM%d", i+1);

	if (i==0)
		{
		sprintf(com_struct[i].sensor_name, SensorNames[TRIMBLE_NAVTRAK]);
		com_struct[i].sensor_index = TRIMBLE_NAVTRAK;
		com_struct[i].enabled      = TRUE;
		}

  k = fwrite( (char *) &com_struct[i], sizeof(t_com), 1, fp);
  if (k == -1)
    {
    fclose(fp);
    printf("\nfwrite failed");
    return FALSE;
    }
  }
// append the last two again
strcpy(com_struct[8].portname, "COM9");
com_struct[8].portnum = 8;
com_struct[8].enabled = 0;
k = fwrite( (char *) &com_struct[8], sizeof(t_com), 1, fp);
if (k == -1)
	{
	fclose(fp);
	printf("\nfwrite failed");
	return FALSE;
	}

strcpy(com_struct[9].portname, "COM10");
com_struct[9].portnum = 9;
com_struct[9].enabled = 0;
k = fwrite( (char *) &com_struct[9], sizeof(t_com), 1, fp);
if (k == -1)
	{
	fclose(fp);
	printf("\nfwrite failed");
	return FALSE;
	}
fclose(fp);
return TRUE;
}




/*----------------------------------------------------------------------------*/
/* Read the com file into a global array of com structures                    */
/*----------------------------------------------------------------------------*/
int read_com_file(char * filename)
{
FILE *fp;
int i, k;

if ((fp = fopen(filename, "rb")) == NULL)
  {
  printf("\nCan't open new config file %s", filename);
  fclose(fp);
  return FALSE;
  }

// for (i= 0; i < MAX_COMPORTS; i++)
for (i= 0; i < 8; i++)
  {
  k = fread( (char *) &com_struct[i], sizeof(t_com), 1, fp);
  if (k == -1)
    {
    fclose(fp);
    printf("\nfread failed");
    return FALSE;
    }

  }

fclose(fp);
return TRUE;
}
