#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include <string.h>
#include <time.h>
#include <conio.h>

#include "navdefs.h"
#include "navtypes.h"

static t_station aStations[MAX_NAV_STATIONS];

void main(int argc, char * argv[]);
int write_station_file(void);
int read_stations(void);

void main(int argc, char * argv[])
{
read_stations();
write_station_file();
}




/*----------------------------------------------------------------------------*/
// Save the station file
/*----------------------------------------------------------------------------*/
int write_station_file(void)
{
FILE *fp;
int  k;
int  i;

if ((fp = fopen(STATION_FILE_NAME, "wb")) == NULL)
  {
  printf("\nCan't open file %s", STATION_FILE_NAME);
  fclose(fp);
  return FALSE;
  }

for (i=0; i<MAX_NAV_STATIONS; i++)
	{
/********
	sprintf(aStations[i].name, "Station %02d",  i+1 );
	aStations[i].pos.lat = 36.61667 * DEG_TO_RAD + (double) i * .00005;
	aStations[i].pos.lon = -121.8865 * DEG_TO_RAD + (double) i * .00005;
	aStations[i].height = 0.0;
	aStations[i].id = 800 + i;
	aStations[i].enabled = TRUE;
	aStations[i].display = TRUE;
********/
	aStations[i].delay = 0.0;
	aStations[i].bias = 0.0;
	
	k = fwrite( (char *) &aStations[i], sizeof(t_station), 1, fp);
	if (k == -1)
		{
		printf("Write failed %d\n", k);
		exit(1);
		}
	}

fclose(fp);
return TRUE;
}






/*----------------------------------------------------------------------------*/
// Read the station file
/*----------------------------------------------------------------------------*/
int read_stations(void)
{
FILE *fp;
int i, k;

if ((fp = fopen("stations.old", "rb")) == NULL)
  {
  printf("\nCan't open file %s", STATION_FILE_NAME);
  return FALSE;
  }

for (i=0; i<MAX_NAV_STATIONS; i++)
	{
	k = fread( (void *) &aStations[i], sizeof(t_station) - 16, 1, fp);
	if (k != 1)
		{
		printf("fread failed at %d in %s\n", __LINE__, __FILE__);
		return BAD_DATA_READ;
		}
	printf("Enabled %d\n", aStations[i].enabled);
	printf("Displayable %d\n", aStations[i].display);
	printf("ID %d\n", aStations[i].id);
	printf("Name %s\n", aStations[i].name);
	printf("Lat: %.12lf\n", RAD_TO_DEG * aStations[i].pos.lat);
	printf("Lon: %.12lf\n", RAD_TO_DEG * aStations[i].pos.lon);
	printf("Height: %.1lf\n\n", aStations[i].height);
	printf("Delay: %.1lf\n\n", aStations[i].delay);
	printf("Bias: %.1lf\n\n", aStations[i].bias);
	getch();
	}

fclose(fp);
return TRUE;
}





