#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include <string.h>
#include <time.h>
#include <conio.h>

#include "navdefs.h"
#include "navtypes.h"

static t_vesselCfg setup;

void main(void);
int write_vessel_config(char * filename);

void main(void)
{
write_vessel_config("mk_shape.cfg");
}




/*----------------------------------------------------------------------------*/
// Save the vessel configuration file
/*----------------------------------------------------------------------------*/
int write_vessel_config(char * filename)
{
FILE *fp;
int  k;

if ((fp = fopen(filename, "wb")) == NULL)
  {
  printf("\nCan't open file %s", filename);
  return FALSE;
  }

// initialized
setup.initialized =     0;
setup.gridOn      =     1;
setup.gridDx      =    50;
setup.gridDy      =    50;
setup.snapOn      =     1;
setup.scale       =   200;
setup.units       =   METERS;

// colors
setup.fg          = 0;
setup.bg          = 15;

// printer
setup.printer.enabled  = 1;                 // enabled yes
setup.printer.interval = 300;               // 5 minutes
setup.printer.idx      = 146;               // default is HP PaintJet
setup.printer.xScale   = 2.5;              
setup.printer.yScale   = 2.5;
setup.printer.columns  = 80;
setup.printer.lines    = 60;
strcpy(setup.printer.name, "HP PaintJet 16 Colors");

// graphic display attributes
setup.display.type = 0;                 // G_POINT
setup.display.on = TRUE;                // Yes its on
setup.display.fillAble = TRUE;          // Yes allow fills where reasonable
setup.display.frameAble = TRUE;         // Yes allow frames where reasonable
setup.display.frameColor = WHITE;       // Frame color
setup.display.fillColor  = RED;         // Fill color
setup.display.fillPattern = 3;          // Metagraphics fill pattern
setup.display.lineType = 0;             // Metagraphics dash type (0=solid line)
setup.display.penSize  = 1;             // 1 X 1
setup.display.penColor = BLACK;         // 0=BLACK

k = fwrite( (char *) &setup, sizeof(t_vesselCfg), 1, fp);
if (k == -1)
	{
	printf("Write failed %d\n", k);
	exit(1);
	}

fclose(fp);
return TRUE;
}




