/*----------------------------------------------------------------------------*/
// File: mnutil.c   USGS Navigation
// Author: John Gann
// Start Date: 18 April 1992
/*----------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>
#include <time.h>

#include <GRconst.h>
#include <GRports.h>
#include <GRextrn.h>
#include <menuet.h>

#include "navdefs.h"
#include "navtypes.h"
#include "mnutils.h"

/*----------------------------------------------------------------------------*/
// Load an FRF file and:
// 1. Set the state key to ALT.
// 2. Set the links to any.
/*----------------------------------------------------------------------------*/
fm_desc *loadFRF ( char *frf_file )
{
int i;
fm_desc * fm;
char buf[_MAX_PATH ]; 

fm = LoadFRF ( frf_file );

if ( fm == NULL ) 
	{
	sprintf (buf, "Unable to load form file - %s", frf_file );
	NotifyUser(-1, -1, "Yo", buf);
	return (fm_desc *) NULL;
	}

for ( i = 0; i < fm->ob_cnt; i++ ) 
	{
	fm->ob_lst [ i ].links &= LINK_ANY;
	fm->ob_lst [ i ].state = 8;
	}

return (fm);
}



/*----------------------------------------------------------------------------*/
/* Set flag in an exclusive a group of items                                  */
/*----------------------------------------------------------------------------*/
void set_flag_fm_group ( fm_desc * fm, int group, int idx)
{
int i;
int group_cnt = 0;

for (i=0; i<fm->ob_cnt; i++)
	{
	if (fm->ob_lst [ i ].grp == group)
		{
		if (group_cnt == idx) fm->ob_lst[i].flags |=  IS_CHECKED; 
		else                  fm->ob_lst[i].flags &= ~IS_CHECKED; 
		group_cnt++;
		}
	}
}


/*------------------------------------------------------------------*/
/* Get flag from, a group of items                                  */
/*------------------------------------------------------------------*/
int get_flag_fm_group ( fm_desc * fm, int group)
{
int i;
int grp_cnt = 0;

for (i=0; i<fm->ob_cnt; i++)
	{
	if (fm->ob_lst [ i ].grp == group)
		{
		if (fm->ob_lst [ i ].flags & IS_CHECKED)
			return grp_cnt;
		else
			grp_cnt++;
		}
	}
return 0;
}



/*---------------------------------------------------------------------------*/
// Get the index of the list item that matches value
/*---------------------------------------------------------------------------*/
int get_ltag_match(char * value, ltag * list_tag)
{
int i=0;
char **p;

p = list_tag->list;
while (i<list_tag->nitems)
	{
	if (!strcmp(*p, value))
		return i;
	i++;
	p++;
	}
return 0;
}



