#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include <string.h>
#include <time.h>
#include <conio.h>

#define BAD_FILE_POINTER              -19
#define BAD_DATA_READ                 -17
#define FILE_AT_EOF                   -24

#include "navdefs.h"
#include "navtypes.h"

static t_line aLine;
static char * LineFileName = "lines.dat";

void main(void);
int read_line_file(void);
int getNextLine(FILE * fp, t_line * aLine);

void main(void)
{
printf("Sizeof t_line = %d\n", sizeof(t_line));
read_line_file();
}




/*----------------------------------------------------------------------------*/
/* Save the com file from a global array of com structures                    */
/*----------------------------------------------------------------------------*/
int read_line_file(void)
{
FILE *fp;
int  retv;

if ((fp = fopen(LineFileName, "rb")) == NULL)
  {
  printf("\nCan't open file %s", LineFileName);
  return FALSE;
  }

while((retv = getNextLine(fp, &aLine)) == SUCCESS)
	{
	printf("Name %s (%d)\n", aLine.name, aLine.num);
	printf("Starting Lat: %.12lf\n", RAD_TO_DEG * aLine.start.lat);
	printf("Starting Lon: %.12lf\n", RAD_TO_DEG * aLine.start.lon);
	printf("  Ending Lat: %.12lf\n", RAD_TO_DEG * aLine.end.lat);
	printf("  Ending Lon: %.12lf\n", RAD_TO_DEG * aLine.end.lon);
	printf("       Range: %.1lf\n", aLine.range);
	printf("     Bearing: %.1lf\n\n", RAD_TO_DEG * aLine.bearing);
	printf("     Display: %d\n", aLine.display);
	}

fclose(fp);
return TRUE;
}





/*----------------------------------------------------------------------------*/
// Get the next line out of the file and return SUCCESS if OK 
/*----------------------------------------------------------------------------*/
int getNextLine(FILE * fp, t_line * aLine)
{
int k;

if (fp == (FILE *) NULL)
	{
	return BAD_FILE_POINTER;
	}

if (feof(fp))
	{
	return FILE_AT_EOF;
	}

k = fread( (void *) aLine, sizeof(t_line), 1, fp);

if (k != 1)
	{
	return BAD_DATA_READ;
	}

return SUCCESS;
}





