#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include <string.h>
#include <conio.h>
#include <time.h>

#include "navdefs.h"
#include "navtypes.h"
t_offset offsets[MAX_SENSORS];

void main(void);
int read_offsets(char * filename);


char * SensorNames[] = 
	{
  "ABC GYRO",
  "ASHTECH",
  "DDMU 540",
  "NS7000",
  "TRIMBLE 4000",
  "TRACKPOINT II",
  "BRIDGE TERM",
  "SIMRAD",
  "KVH GYRO",
  "DelNorte to URI",
  "Trackpoint to URI",
  "SEAHAWK GYRO",
  "TRIMBLE_NAVTRAK",
  "TRIMBLE_10X",
	"Mudshark",
	"HP Plotter"
	};


void main(void)
{
read_offsets(OFFSET_FILE_NAME);
}


/*----------------------------------------------------------------------------*/
// read the offsets setup
/*----------------------------------------------------------------------------*/
int read_offsets(char * filename)
{
FILE *fp;
int i, k, j=0;
char buf[2048];

if ((fp = fopen(filename, "rb")) == NULL)
  {
  printf("\nCan't open file %s", filename);
  fclose(fp);
  return FALSE;
  }

for (i= 0; i < MAX_SENSORS; i++)
	{
	k = fread( (char *) &offsets[i], sizeof(t_offset), 1, fp);
	if (k == -1)
		{
		fclose(fp);
		printf("\nfread failed");
		return FALSE;
		}

	j += sprintf(buf+j, "id  = %d (%s)\n", offsets[i].id, SensorNames[offsets[i].id]);
	j += sprintf(buf+j, "x = %.8lf\n", offsets[i].x);
	j += sprintf(buf+j, "y = %.8lf\n", offsets[i].y);
	j += sprintf(buf+j, "z = %.2lf\n", offsets[i].z);
	j += sprintf(buf+j, "dist = %.2lf\n", offsets[i].dist);
	j += sprintf(buf+j, "bearing = %.2lf\n\n", offsets[i].bearing * RAD_TO_DEG);
	}

printf("%s\n", buf);

fclose(fp);
return TRUE;
}
