#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include <string.h>
#include <time.h>
#include <conio.h>

#define BAD_FILE_POINTER              -19
#define BAD_DATA_READ                 -17
#define FILE_AT_EOF                   -24

#include "navdefs.h"
#include "navtypes.h"

static t_site aSite;

void main(void);
int read_site_file(void);
int getNextSite(FILE * fp, t_site * aSite);
char * dumpVideoHook(t_videoHook * v, char * buf);

void main(void)
{
printf("Sizeof t_site = %d\n", sizeof(t_site));
read_site_file();
}




/*----------------------------------------------------------------------------*/
/* Save the com file from a global array of com structures                    */
/*----------------------------------------------------------------------------*/
int read_site_file(void)
{
FILE *fp;
int  retv;
char vBuf[256];

if ((fp = fopen(SITE_FILE_NAME, "rb")) == NULL)
  {
  printf("\nCan't open file %s", SITE_FILE_NAME);
  return FALSE;
  }

while((retv = getNextSite(fp, &aSite)) == SUCCESS)
	{
	printf("Name %s \n", aSite.name);
	printf("Lat: %.12lf\n", RAD_TO_DEG * aSite.pos.lat);
	printf("Lon: %.12lf\n", RAD_TO_DEG * aSite.pos.lon);
	printf("       Depth: %.1lf\n", aSite.depth);
	printf("     Display: %d\n", aSite.display);
	printf("     Type: %d\n", aSite.type);
	printf("     %s\n", dumpVideoHook(&aSite.vHook, vBuf));
	}

fclose(fp);
return TRUE;
}





/*----------------------------------------------------------------------------*/
// Get the next site out of the file and return SUCCESS if OK 
/*----------------------------------------------------------------------------*/
int getNextSite(FILE * fp, t_site * aSite)
{
int k;

if (fp == (FILE *) NULL)
	{
	return BAD_FILE_POINTER;
	}

if (feof(fp))
	{
	return FILE_AT_EOF;
	}

k = fread( (void *) aSite, sizeof(t_site), 1, fp);

if (k != 1)
	{
	return BAD_DATA_READ;
	}

return SUCCESS;
}










/*----------------------------------------------------------------------------*/
// dump a video hook struct 
/*----------------------------------------------------------------------------*/
char * dumpVideoHook(t_videoHook * v, char * buf)
{
int j = 0;

if (v == (t_videoHook *) NULL)
	return (char *) NULL;

j += sprintf(buf+j, " fileName %s\n", v->fileName);
j += sprintf(buf+j, "       x1 %3d\n", v->x1);
j += sprintf(buf+j, "       y1 %3d\n", v->y1);
j += sprintf(buf+j, "       x2 %3d\n", v->x2);
j += sprintf(buf+j, "       y2 %3d\n", v->y2);
j += sprintf(buf+j, "imageType %3d\n", v->imageType);

return buf;
}

