#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include <string.h>
#include <time.h>
#include <conio.h>

#include "navdefs.h"
#include "navtypes.h"

static t_station aStation;

void main(int argc, char * argv[]);
int read_stations(void);

void main(int argc, char * argv[])
{
read_stations();
}


/*----------------------------------------------------------------------------*/
// Read the station file
/*----------------------------------------------------------------------------*/
int read_stations(void)
{
FILE *fp;
int i, k;

if ((fp = fopen(STATION_FILE_NAME, "rb")) == NULL)
  {
  printf("\nCan't open file %s", STATION_FILE_NAME);
  return FALSE;
  }

for (i=0; i<MAX_NAV_STATIONS; i++)
	{
	k = fread( (void *) &aStation, sizeof(t_station), 1, fp);
	if (k != 1)
		{
		printf("fread failed at %d in %s\n", __LINE__, __FILE__);
		return BAD_DATA_READ;
		}
	printf("Enabled %d\n", aStation.enabled);
	printf("Displayable %d\n", aStation.display);
	printf("ID %d\n", aStation.id);
	printf("Name %s\n", aStation.name);
	printf("Lat: %.12lf\n", RAD_TO_DEG * aStation.pos.lat);
	printf("Lon: %.12lf\n", RAD_TO_DEG * aStation.pos.lon);
	printf("Height: %.1lf\n\n", aStation.height);
	printf("Delay: %.1lf\n\n", aStation.delay);
	printf("Bias: %.1lf\n\n", aStation.bias);
	}

fclose(fp);
return TRUE;
}









