#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include <string.h>
#include <time.h>
#include <conio.h>

#include "navdefs.h"
#include "navtypes.h"

static t_vesselCfg setup;
static char * unitNames[] = {"Meters", "Feet", "Yards"};

void main(void);
int read_vessel_config(char * filename);

void main(void)
{
read_vessel_config("mk_shape.cfg");
}




/*----------------------------------------------------------------------------*/
// Save the vessel configuration file
/*----------------------------------------------------------------------------*/
int read_vessel_config(char * filename)
{
FILE *fp;
int  k;

if ((fp = fopen(filename, "rb")) == NULL)
  {
  printf("\nCan't open file %s", filename);
  return FALSE;
  }

k = fread( (void *) &setup, sizeof(t_vesselCfg), 1, fp);
if (k == -1)
	{
	printf("Read failed %d\n", k);
	exit(1);
	}

printf("initialized = %d\n", setup.initialized);
printf("gridOn      = %d\n", setup.gridOn);
printf("gridDx      = %d\n", setup.gridDx);
printf("gridDy      = %d\n", setup.gridDy);
printf("snapOn      = %d\n", setup.snapOn);
printf("scale       = %d\n", setup.scale);
printf("units       = %d=%s\n", setup.units, unitNames[setup.units]);
printf("fg          = %d\n", setup.fg);
printf("bg          = %d\n", setup.bg);
printf("enabled     = %d\n", setup.printer.enabled);
printf("interval    = %d\n", setup.printer.interval);
printf("idx         = %d\n", setup.printer.idx);
printf("name        = %s\n", setup.printer.name);
printf("xScale      = %.2lf\n", setup.printer.xScale);
printf("yScale      = %.2lf\n", setup.printer.yScale);

// graphic display attributes
printf("display:type = %d\n",         setup.display.type);
printf("display:on = %d\n",           setup.display.on);
printf("display:fillAble = %d\n",     setup.display.fillAble);
printf("display:frameAble = %d\n",    setup.display.frameAble);
printf("display:frameColor = %d\n",   setup.display.frameColor);
printf("display:fillColor  = %d\n",   setup.display.fillColor );
printf("display:fillPattern = %d\n",  setup.display.fillPattern);
printf("display:lineType = %d\n",     setup.display.lineType);
printf("display:penSize  = %d\n",     setup.display.penSize );
printf("display:penColor = %d\n",     setup.display.penColor);

fclose(fp);
return TRUE;
}





